# Generated by Django 4.2.20 on 2025-06-25 06:11

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Subject",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                )
            ],
            options={"verbose_name": "Vote summarization", "verbose_name_plural": "Vote summarizations"},
        ),
        migrations.CreateModel(
            name="Plugin",
            fields=[
                (
                    "cmsplugin_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="%(app_label)s_%(class)s",
                        serialize=False,
                        to="cms.cmsplugin",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Subject of evaluation.",
                        max_length=255,
                        verbose_name="Subject name",
                    ),
                ),
                (
                    "subject",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="help_rating.subject",
                        verbose_name="Voting content",
                    ),
                ),
            ],
            options={"abstract": False},
            bases=("cms.cmsplugin",),
        ),
        migrations.CreateModel(
            name="Feedback",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "remote_addr",
                    models.GenericIPAddressField(verbose_name="Remote address"),
                ),
                (
                    "browser_fingerprint",
                    models.CharField(max_length=64, verbose_name="Browser fingerprint"),
                ),
                (
                    "modified",
                    models.DateTimeField(
                        auto_now=True, verbose_name="Last modified at"
                    ),
                ),
                ("score", models.SmallIntegerField(verbose_name="Score")),
                (
                    "subject",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="help_rating.subject",
                        verbose_name="Voting content",
                    ),
                ),
            ],
            options={
                "verbose_name": "User voting",
                "verbose_name_plural": "User votings",
                "unique_together": {("subject", "remote_addr", "browser_fingerprint")},
            },
        ),
    ]
